Bug 1662045 - selinux policy forbids data colletion using munin-asyncd
Summary: selinux policy forbids data colletion using munin-asyncd
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-25 14:34 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-05-29 00:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 00:09:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2018-12-25 14:34:25 UTC
Description of problem:
Munin fails to perform data collection from monitored nodes if munin-asyncd is configured.

Version-Release number of selected component (if applicable):
munin-2.0.43-1.fc28.noarch

How reproducible:
Always

Steps to Reproduce:
1. Configure a node with munin-asyncd (https://munin.readthedocs.io/en/stable-2.0/node/async.html#node-async)
2. Wait for data collection attempt

Actual results:
No data is collected. SELinux AVC denials appear in audit.log.

Expected results:
Successful data collection without SELinux AVC denials.

Additional info:
The following AVC denials are visible in audit.log in permissive mode:
type=AVC msg=audit(1545746402.190:1663): avc:  denied  { execute } for  pid=11163 comm="/usr/share/muni" name="ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746402.190:1664): avc:  denied  { read open } for  pid=11163 comm="/usr/share/muni" path="/usr/bin/ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746402.190:1665): avc:  denied  { execute_no_trans } for  pid=11163 comm="/usr/share/muni" path="/usr/bin/ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746402.191:1666): avc:  denied  { map } for  pid=11163 comm="ssh" path="/usr/bin/ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746402.196:1667): avc:  denied  { name_connect } for  pid=11163 comm="ssh" dest=22 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_port_t:s0 tclass=tcp_socket permissive=1
type=AVC msg=audit(1545746702.033:1681): avc:  denied  { execute } for  pid=11958 comm="/usr/share/muni" name="ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746702.033:1682): avc:  denied  { read open } for  pid=11958 comm="/usr/share/muni" path="/usr/bin/ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746702.033:1683): avc:  denied  { execute_no_trans } for  pid=11958 comm="/usr/share/muni" path="/usr/bin/ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746702.034:1684): avc:  denied  { map } for  pid=11958 comm="ssh" path="/usr/bin/ssh" dev="dm-1" ino=1463052 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_exec_t:s0 tclass=file permissive=1
type=AVC msg=audit(1545746702.039:1685): avc:  denied  { name_connect } for  pid=11958 comm="ssh" dest=22 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ssh_port_t:s0 tclass=tcp_socket permissive=1

The following SELinux policy works around the issue, but it was simply generated with audit2allow, so I'm not sure if it's correct:

# cat munin-local.cil 
(allow munin_t ssh_exec_t(file (execute execute_no_trans map open read)))
(allow munin_t ssh_port_t(tcp_socket (name_connect)))

Comment 1 Kim B. Heino 2018-12-26 12:10:51 UTC
Fix for this should be included in bug #1164245, see attachment "Munin patch for rhel 7.5 munin policy".

Comment 2 Ben Cotton 2019-05-02 19:23:35 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-29 00:09:31 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.